Name:		adcli
Version:	0.8.2
Release:	7%{?dist}
Summary:	Active Directory enrollment
License:	LGPLv2+
URL:		http://cgit.freedesktop.org/realmd/adcli
Source0:	http://www.freedesktop.org/software/realmd/releases/adcli-%{version}.tar.gz

Patch1:		0001-Remove-upper-case-only-check-when-looking-for-the-Ne.patch
Patch2:		0002-Use-strdup-if-offset-are-used.patch
Patch3:		0003-correct-spelling-of-adcli_tool_computer_delete-descr.patch
Patch4:		0004-doc-explain-that-all-credential-cache-types-are-supp.patch
Patch5:		0005-library-add-adcli_conn_is_writeable.patch
Patch6:		0006-Handle-kvno-increment-for-RODCs.patch
Patch7:		0007-Fix-memory-leak-in-test_check_nt_time_string_lifetim.patch
Patch8:		0008-library-add-_adcli_bin_sid_to_str.patch
Patch9:		0009-library-add-_adcli_call_external_program.patch
Patch10:	0010-library-add-_adcli_ldap_parse_sid.patch
Patch11:	0011-library-add-lookup_domain_sid.patch
Patch12:	0012-library-add-adcli_conn_get_domain_sid.patch
Patch13:	0013-tools-add-option-add-samba-data.patch
Patch14:	0014-tools-store-Samba-data-if-requested.patch
Patch15:	0015-make-Samba-data-tool-configurable.patch
Patch16:	0016-Add-trusted-for-delegation-option.patch
Patch17:	0017-Only-update-attributes-given-on-the-command-line.patch
Patch18:	0018-update-allow-to-add-service-names.patch
Patch19:	0019-Calculate-enctypes-in-a-separate-function.patch
Patch20:	0020-join-add-all-attributes-while-creating-computer-obje.patch
Patch21:	0021-util-add-_adcli_strv_remove_unsorted.patch
Patch22:	0022-Add-add-service-principal-and-remove-service-princip.patch
Patch23:	0023-adcli_conn_is_writeable-do-not-crash-id-domain_disco.patch
Patch24:	0024-doc-fix-typos-in-the-adcli-man-page.patch

# Additional fixes for rhbz#1593240
Patch25:	0001-fix-typo-in-flag-value.patch
Patch26:	0002-_adcli_call_external_program-silence-noisy-debug-mes.patch

# rhbz#1608212
Patch27:	0003-Do-not-add-service-principals-twice.patch

# Additional fixed for rhbz#1547014
Patch28:	0004-Do-not-depend-on-default_realm-in-krb5.conf.patch

# rhbz#1649868
Patch29:	0001-adutil-add-_adcli_strv_add_unique.patch
Patch30:	0002-adenroll-use-_adcli_strv_add_unique-for-service-prin.patch

# Patch31 is replaced by Patch44 - Patch50

# rhbz#1642546 - adcli exports kerberos ticket with old kvno
Patch32:	0001-Increment-kvno-after-password-change-with-user-creds.patch

# rhbz#1595911 - [RFE] Have `adcli join` work without FQDN in `hostname` output
# with some additional man page fixes from rhbz#1440533
Patch33:	0001-library-use-getaddrinfo-with-AI_CANONNAME-to-find-a-.patch

# rhbz#1644311 - Improve handling of service principals
Patch34:	0001-join-always-add-service-principals.patch
Patch35:	0002-library-return-error-if-no-matching-key-was-found.patch

# rhbz#1337489 - [RFE] adcli command with --unix-* options doesn't update
#                values in UnixAttributes Tab for user
Patch36:	0001-create-user-add-nis-domain-option.patch
Patch37:	0002-create-user-try-to-find-NIS-domain-if-needed.patch

# rhbz#1630187 - [RFE] adcli join should preserve SPN added by adcli preset-computer
Patch38:	0001-ensure_keytab_principals-do-not-leak-memory-when-cal.patch
Patch39:	0002-library-make-_adcli_strv_has_ex-public.patch
Patch40:	0003-library-_adcli_krb5_build_principal-allow-principals.patch
Patch41:	0004-library-make-sure-server-side-SPNs-are-preserved.patch

# rhbz#1622583 - [RFE] Need an option for adcli command which will show domain join status.
Patch42:	0001-Implement-adcli-testjoin.patch

# rhbz#1630187 - [RFE] adcli join should preserve SPN added by adcli preset-computer - additional patch
Patch43:        0001-library-add-missing-strdup.patch

# rhbz#1588596 - many adcli-krb5-????? directories are created /tmp
Patch44:        0001-tools-remove-errx-from-computer-commands.patch
Patch45:        0002-tools-remove-errx-from-user-and-group-commands.patch
Patch46:        0003-tools-remove-errx-from-info-commands.patch
Patch47:        0004-tools-remove-errx-from-adcli_read_password_func.patch
Patch48:        0005-tools-remove-errx-from-setup_krb5_conf_directory.patch
Patch49:        0006-tools-entry-remove-errx-from-parse_option.patch
Patch50:        0007-tools-computer-remove-errx-from-parse_option.patch

# rhbz#1727144 - adcli join fails with new krb5-libs; adcli needs to
#                backport patches to only use permitted enctypes from upstream
Patch51:        0001-Fix-for-issues-found-by-Coverity.patch
Patch52:        0002-adenroll-make-sure-only-allowed-enctypes-are-used-in.patch
Patch53:        0003-adconn-add-adcli_conn_set_krb5_context.patch
Patch54:        0004-adenroll-add-adcli_enroll_get_permitted_keytab_encty.patch
Patch55:        0005-adenroll-use-only-enctypes-permitted-by-Kerberos-con.patch

BuildRequires:	gcc
BuildRequires:	intltool pkgconfig
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRequires:	krb5-devel
BuildRequires:	openldap-devel
BuildRequires:	libxslt
BuildRequires:	xmlto

Requires:	cyrus-sasl-gssapi

# adcli no longer has a library of development files
# the adcli tool itself is to be used by callers
Obsoletes:	adcli-devel < 0.5

%description
adcli is a tool for joining an Active Directory domain using
standard LDAP and Kerberos calls.

%define _hardened_build 1

%prep
%autosetup -p1

%build
autoreconf --force --install --verbose
%configure --disable-static --disable-silent-rules
make %{?_smp_mflags}

%check
make check

%install
make install DESTDIR=%{buildroot}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%ldconfig_scriptlets

%files
%{_sbindir}/adcli
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %{_mandir}/*/*

%package doc
Summary: adcli documentation
BuildArch: noarch

%description doc
adcli is a tool for joining an Active Directory domain using
standard LDAP and Kerberos calls. This package contains its
documentation.

%files doc
%doc %{_datadir}/doc/adcli/*

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul  5 2019 Jakub Hrozek <jhrozek@redhat.com> - 0.8.2-6
- Resolves: rhbz#1727144 - adcli join fails with new krb5-libs; adcli
                           needs to backport patches to only use permitted
                           enctypes from upstream

* Tue Apr 30 2019 Sumit Bose <sbose@redhat.com> - 0.8.2-5
- addition patch for rhbz#1630187 and new ones for rhbz#1588596
  Resolves: rhbz#1630187, rhbz#1588596

* Fri Mar 22 2019 Sumit Bose <sbose@redhat.com> - 0.8.2-4
- various fixes and improvements
  Resolves: rhbz#1593240, rhbz#1608212, rhbz#1547014, rhbz#1547014,
            rhbz#1649868, rhbz#1588596, rhbz#1642546, rhbz#1595911,
            rhbz#1644311, rhbz#1337489, rhbz#1630187, rhbz#1622583

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jul 05 2018 Sumit Bose <sbose@redhat.com> - 0.8.0-1
- Update to upstream release 0.8.2
- various other fixes and improvements
- add option to enable "Trust this computer for delegation"
  Resolves: rhbz#988349
- fix typos in the adcli man page
  Resolves: rhbz#1440533

* Wed Mar 07 2018 Sumit Bose <sbose@redhat.com> - 0.8.0-7
- Added BuildRequires gcc

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 17 2015 Sumit Bose <sbose@redhat.com> - 0.8.0-1
- Update to upstream release 0.8.0

* Mon Oct 19 2015 Stef Walter <stefw@redhat.com> - 0.7.6-1
- Fix issue with keytab use with sshd
- Resolves: rhbz#1267319
- Put documentation in a subpackage

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 30 2014 Stef Walter <stefw@redhat.com> - 0.7.5-2
- Fix incorrect ownership of manual page directory

* Fri Sep 13 2013 Stef Walter <stefw@redhat.com> - 0.7.5-1
- Update to upstream point release 0.7.5
- Workaround for discovery via IPv6 address
- Correctly put IPv6 addresses in temporary krb5.conf

* Mon Sep 09 2013 Stef Walter <stefw@redhat.com> - 0.7.4-1
- Update to upstream point release 0.7.4
- Correctly handle truncating long host names
- Try to contact all available addresses for discovery
- Build fixes

* Wed Aug 07 2013 Stef Walter <stefw@redhat.com> - 0.7.3-1
- Update to upstream point release 0.7.3
- Don't try to set encryption types on Windows 2003

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Stef Walter <stefw@redhat.com> - 0.7.2-1
- Update to upstream point release 0.7.2
- Part of fix for bug [#961244]

* Mon Jul 15 2013 Stef Walter <stefw@redhat.com> - 0.7.1-4
- Build with verbose output logging

* Tue Jun 11 2013 Stef Walter <stefw@redhat.com> - 0.7.1-3
- Run 'make check' when building the package

* Mon May 13 2013 Stef Walter <stefw@redhat.com> - 0.7.1-2
- Bump version to get around botched update

* Mon May 13 2013 Stef Walter <stefw@redhat.com> - 0.7.1-1
- Update to upstream 0.7.1 release
- Fix problems with salt discovery [#961399]

* Mon May 06 2013 Stef Walter <stefw@redhat.com> - 0.7-1
- Work around broken krb5 with empty passwords [#960001]
- Fix memory corruption issue [#959999]
- Update to 0.7, fixing various bugs

* Mon Apr 29 2013 Stef Walter <stefw@redhat.com> - 0.6-1
- Update to 0.6, fixing various bugs

* Wed Apr 10 2013 Stef walter <stefw@redhat.com> - 0.5-2
- Add appropriate Obsoletes line for libadcli removal

* Wed Apr 10 2013 Stef Walter <stefw@redhat.com> - 0.5-1
- Update to upstream 0.5 version
- No more libadcli, and thus no adcli-devel
- Many new adcli commands
- Documentation

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 12 2012 Stef Walter <stefw@redhat.com> - 0.4-1
- Update for 0.4 version, fixing various bugs

* Sat Oct 20 2012 Stef Walter <stefw@redhat.com> - 0.3-1
- Update for 0.3 version

* Tue Sep 4 2012 Stef Walter <stefw@redhat.com> - 0.2-1
- Update for 0.2 version

* Wed Aug 15 2012 Stef Walter <stefw@redhat.com> - 0.1-1
- Initial 0.1 package
